org.freedesktop

## Interface DBus

- All Superinterfaces:
    org.freedesktop.dbus.DBusInterface

      public interface DBus
      extends org.freedesktop.dbus.DBusInterface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `DBus.Binding` Contains Binding-test interfaces
    `static interface` | `DBus.Deprecated` Indicates that a DBus interface or method is deprecated
    `static interface` | `DBus.Description` Description of the interface or method, returned in the introspection data
    `static interface` | `DBus.Error` Contains standard errors that can be thrown from methods.
    `static interface` | `DBus.GLib` Contains GLib-specific annotations
    `static interface` | `DBus.Introspectable` Objects can provide introspection data via this interface and method.
    `static interface` | `DBus.Local` Messages generated locally in the application.
    `static interface` | `DBus.Method` Contains method-specific annotations
    `static class` | `DBus.NameAcquired` Signal sent to a connection when it aquires a name
    `static class` | `DBus.NameLost` Signal sent to a connection when it loses a name
    `static class` | `DBus.NameOwnerChanged` Signal sent when the owner of a name changes
    `static interface` | `DBus.Peer` All DBus Applications should respond to the Ping method on this interface
    `static interface` | `DBus.Properties` A standard properties interface.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BUSNAME`
    `static int` | `DBUS_NAME_FLAG_ALLOW_REPLACEMENT`
    `static int` | `DBUS_NAME_FLAG_DO_NOT_QUEUE`
    `static int` | `DBUS_NAME_FLAG_REPLACE_EXISTING`
    `static int` | `DBUS_RELEASE_NAME_REPLY_NON_EXISTANT`
    `static int` | `DBUS_RELEASE_NAME_REPLY_NOT_OWNER`
    `static int` | `DBUS_RELEASEME_REPLY_RELEASED`
    `static int` | `DBUS_REQUEST_NAME_REPLY_ALREADY_OWNER`
    `static int` | `DBUS_REQUEST_NAME_REPLY_EXISTS`
    `static int` | `DBUS_REQUEST_NAME_REPLY_IN_QUEUE`
    `static int` | `DBUS_REQUEST_NAME_REPLY_PRIMARY_OWNER`
    `static int` | `DBUS_START_REPLY_ALREADY_RUNNING`
    `static int` | `DBUS_START_REPLY_SUCCESS`
    `static String` | `OBJECTPATH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `AddMatch(String matchrule)` Add a match rule.
    `Byte[]` | `GetConnectionSELinuxSecurityContext(String a)` Does something undocumented.
    `org.freedesktop.dbus.UInt32` | `GetConnectionUnixProcessID(String connection_name)` Returns the proccess ID associated with a connection.
    `org.freedesktop.dbus.UInt32` | `GetConnectionUnixUser(String connection_name)` Get the Unix UID that owns a connection name.
    `String` | `GetNameOwner(String name)` Get the connection unique name that owns the given name.
    `String` | `Hello()` Initial message to register ourselves on the Bus.
    `String[]` | `ListNames()` Lists all connected names on the Bus.
    `String[]` | `ListQueuedOwners(String name)` List the connections currently queued for a name.
    `boolean` | `NameHasOwner(String name)` Determine if a name has an owner.
    `org.freedesktop.dbus.UInt32` | `ReleaseName(String name)` Release a name on the bus.
    `void` | `ReloadConfig()` Does something undocumented.
    `void` | `RemoveMatch(String matchrule)` Remove a match rule.
    `org.freedesktop.dbus.UInt32` | `RequestName(String name, org.freedesktop.dbus.UInt32 flags)` Request a name on the bus.
    `org.freedesktop.dbus.UInt32` | `StartServiceByName(String name, org.freedesktop.dbus.UInt32 flags)` Start a service.

    - ### Methods inherited from interface org.freedesktop.dbus.DBusInterface

      `isRemote`

- - ### Field Detail

    - #### BUSNAME

          static final String BUSNAME

      See Also:
        Constant Field Values

    - #### OBJECTPATH

          static final String OBJECTPATH

      See Also:
        Constant Field Values

    - #### DBUS_NAME_FLAG_ALLOW_REPLACEMENT

          static final int DBUS_NAME_FLAG_ALLOW_REPLACEMENT

      See Also:
        Constant Field Values

    - #### DBUS_NAME_FLAG_REPLACE_EXISTING

          static final int DBUS_NAME_FLAG_REPLACE_EXISTING

      See Also:
        Constant Field Values

    - #### DBUS_NAME_FLAG_DO_NOT_QUEUE

          static final int DBUS_NAME_FLAG_DO_NOT_QUEUE

      See Also:
        Constant Field Values

    - #### DBUS_REQUEST_NAME_REPLY_PRIMARY_OWNER

          static final int DBUS_REQUEST_NAME_REPLY_PRIMARY_OWNER

      See Also:
        Constant Field Values

    - #### DBUS_REQUEST_NAME_REPLY_IN_QUEUE

          static final int DBUS_REQUEST_NAME_REPLY_IN_QUEUE

      See Also:
        Constant Field Values

    - #### DBUS_REQUEST_NAME_REPLY_EXISTS

          static final int DBUS_REQUEST_NAME_REPLY_EXISTS

      See Also:
        Constant Field Values

    - #### DBUS_REQUEST_NAME_REPLY_ALREADY_OWNER

          static final int DBUS_REQUEST_NAME_REPLY_ALREADY_OWNER

      See Also:
        Constant Field Values

    - #### DBUS_RELEASEME_REPLY_RELEASED

          static final int DBUS_RELEASEME_REPLY_RELEASED

      See Also:
        Constant Field Values

    - #### DBUS_RELEASE_NAME_REPLY_NON_EXISTANT

          static final int DBUS_RELEASE_NAME_REPLY_NON_EXISTANT

      See Also:
        Constant Field Values

    - #### DBUS_RELEASE_NAME_REPLY_NOT_OWNER

          static final int DBUS_RELEASE_NAME_REPLY_NOT_OWNER

      See Also:
        Constant Field Values

    - #### DBUS_START_REPLY_SUCCESS

          static final int DBUS_START_REPLY_SUCCESS

      See Also:
        Constant Field Values

    - #### DBUS_START_REPLY_ALREADY_RUNNING

          static final int DBUS_START_REPLY_ALREADY_RUNNING

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### Hello

          String Hello()

      Initial message to register ourselves on the Bus.
      Returns:
        The unique name of this connection to the Bus.

    - #### ListNames

          String[] ListNames()

      Lists all connected names on the Bus.
      Returns:
        An array of all connected names.

    - #### NameHasOwner

          boolean NameHasOwner(String name)

      Determine if a name has an owner.
      Parameters:
        `name` - The name to query.
      Returns:
        true if the name has an owner.

    - #### GetNameOwner

          String GetNameOwner(String name)

      Get the connection unique name that owns the given name.
      Parameters:
        `name` - The name to query.
      Returns:
        The connection which owns the name.

    - #### GetConnectionUnixUser

          org.freedesktop.dbus.UInt32 GetConnectionUnixUser(String connection_name)

      Get the Unix UID that owns a connection name.
      Parameters:
        `connection_name` - The connection name.
      Returns:
        The Unix UID that owns it.

    - #### StartServiceByName

          org.freedesktop.dbus.UInt32 StartServiceByName(String name,
                                                         org.freedesktop.dbus.UInt32 flags)

      Start a service. If the given service is not provided by any application, it will be started according to the .service file for that service.
      Parameters:
        `name` - The service name to start.
        `flags` - Unused.
      Returns:
        DBUS_START_REPLY constants.

    - #### RequestName

          org.freedesktop.dbus.UInt32 RequestName(String name,
                                                  org.freedesktop.dbus.UInt32 flags)

      Request a name on the bus.
      Parameters:
        `name` - The name to request.
        `flags` - DBUS_NAME flags.
      Returns:
        DBUS_REQUEST_NAME_REPLY constants.

    - #### ReleaseName

          org.freedesktop.dbus.UInt32 ReleaseName(String name)

      Release a name on the bus.
      Parameters:
        `name` - The name to release.
      Returns:
        DBUS_RELEASE_NAME_REPLY constants.

    - #### AddMatch

          void AddMatch(String matchrule)
                 throws DBus.Error.MatchRuleInvalid

      Add a match rule. Will cause you to receive messages that aren't directed to you which match this rule.
      Parameters:
        `matchrule` - The Match rule as a string. Format Undocumented.
      Throws:
        `DBus.Error.MatchRuleInvalid`

    - #### RemoveMatch

          void RemoveMatch(String matchrule)
                    throws DBus.Error.MatchRuleInvalid

      Remove a match rule. Will cause you to stop receiving messages that aren't directed to you which match this rule.
      Parameters:
        `matchrule` - The Match rule as a string. Format Undocumented.
      Throws:
        `DBus.Error.MatchRuleInvalid`

    - #### ListQueuedOwners

          String[] ListQueuedOwners(String name)

      List the connections currently queued for a name.
      Parameters:
        `name` - The name to query
      Returns:
        A list of unique connection IDs.

    - #### GetConnectionUnixProcessID

          org.freedesktop.dbus.UInt32 GetConnectionUnixProcessID(String connection_name)

      Returns the proccess ID associated with a connection.
      Parameters:
        `connection_name` - The name of the connection
      Returns:
        The PID of the connection.

    - #### GetConnectionSELinuxSecurityContext

          Byte[] GetConnectionSELinuxSecurityContext(String a)

      Does something undocumented.

    - #### ReloadConfig

          void ReloadConfig()

      Does something undocumented.

Copyright © 2020 JBoss by Red Hat. All rights reserved.